有 Java 编程相关的问题?

你可以在下面搜索框中键入要查询的问题!

java如何修复“使用或覆盖不推荐的API”我的页面适配器?

我在编辑方面有问题。当我想运行我的应用程序时,她不会编译。方法PageAdapter中的错误,在以下行中:super(fm)

public class PageAdapter extends FragmentPagerAdapter {

    private int[] colors;

    public PageAdapter(FragmentManager fm, int[] colors) {
        super(fm);
        this.colors = colors;
    }


    @Override
    public int getCount() {
        return(3);
    }

    @Override
    public Fragment getItem(int position) {
        return(PageFragment.newInstance(position, this.colors[position]));
    }

当我运行我的应用程序时,她对我说:

使用或重写不推荐使用的API

C:\Users\NyCko\AndroidStudioProjects\MyNews\app\src\main\java\com\fossourier\nicolas\MyNews\Adapters\PageAdapter。爪哇: 使用或重写不推荐使用的API。 使用-Xlint重新编译:有关详细信息,请参阅弃用

谢谢你的帮助


共 (0) 个答案